# SSH, VPN, VNC related Problems

[[_TOC_]]

## General Access
Please use these methods to access the servers:
1. [SSH](SSH.md)
2. [JupyterHub](../TeachingHub.md)
3. [VNC](VNC.md)
4. [VPN](VPN.md)

## Jupyterhub

On SRVX1 the TeachingHub and on Jet01 the ResearchHub is running and available to users and students. Connect to either [https://srvx1.img.univie.ac.at](https://srvx1.img.univie.ac.at) from everywhere or [https://jet01.img.univie.ac.at](https://jet01.img.univie.ac.at) from within the university network.

[Here](../TeachingHub.md) is more information on how to connect and authenticate.


## Screen
[Screen](https://wiki.ubuntuusers.de/Screen/) is terminal session manager, that allows to start processes and reconnect to these processes after disconnection.
This starts a new session

```bash
$ screen -S longjob
```

You can detach from this session with `CTRL + A + D` and reconnect again with `screen -r`.

Multiple Sessions can be created and the output saved (`-L` Option).


